package com.brainysoftware.jdk5.app25i;

import java.io.IOException;
import java.io.PrintWriter;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class MainAreaServlet extends HttpServlet {
    public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        displayMainPage(request, response);
    }

    public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        displayMainPage(request, response);
    }

    private void displayMainPage(HttpServletRequest request,
            HttpServletResponse response) throws ServletException, IOException {
        HttpSession session = request.getSession(false);
        if (session == null || session.getAttribute("loggedIn") == null) {
            RequestDispatcher rd = request.getRequestDispatcher("getLoginForm");
            rd.forward(request, response);
        } else {
            response.setContentType("text/html");
            PrintWriter writer = response.getWriter();
            writer.println("<html>");
            writer.println("<head><title>Main Page</title></head>");
            writer.println("<body>");
            writer.print("<a href=\"report1\">Report 1</a>&nbsp;&nbsp;&nbsp;");
            writer.print("<a href=\"report2\">Report 2</a>");
            writer.println("<hr/>");
            writer.println("Welcome to the main area.");
            writer.println("</body>");
            writer.println("</html>");
        }
    }
}
